### Method

# Ide Buffer get_is_temporary

#### Declaration

    gboolean
    ide_buffer_get_is_temporary (
      IdeBuffer* self
    )

#### Description

Checks if the buffer represents a temporary file.

This is useful to check by views that want to provide a save-as dialog when the user requests to save the buffer.

Available since: | 3.32

Gets property | `Ide.Buffer:is-temporary`

#### Return value

Returns: | `gboolean`
| `TRUE` if the buffer is for a temporary file.